%define name teg
%define version 0.9.2
%define release 2mdk

Summary: Clone of a Risk clone
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source10: %{name}-16.xpm.bz2
Source11: %{name}-32.xpm.bz2
Source12: %{name}-48.xpm.bz2
URL: http://teg.sourceforge.net/
License: GPL
Group: Games/Strategy
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gcc
BuildRequires:	gettext
BuildRequires:	gnome-libs-devel
BuildRequires:	libxml-devel
BuildRequires:	texinfo
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# Author: Ricardo Quesada <riq@corest.com>

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Tctico y Estratgico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are
different.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs=text section="Amusement/Strategy" title="TEG server" \
  longtitle="Clone of a Risk clone (server)" command="%{_bindir}/tegserver" icon="%{name}.xpm"
?package(%{name}): needs=x11 section="Amusement/Strategy" title="TEG client" \
  longtitle="Clone of a Risk clone (client)" command="%{_bindir}/tegclient" icon="%{name}.xpm"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE12} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%find_lang %{name}

%post
%{update_menus}
%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc README PEOPLE
%{_bindir}/*
%{_menudir}/*
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%{_datadir}/pixmaps/*
%{_datadir}/gnome/help/*

%changelog
* Mon Jan 14 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-2mdk
- BuildRequires

* Thu Jan 10 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.9.2-1mdk
- first mdk package
